<?php

use Battles\Models\PresentsModel;
use Battles\Template;
use Battles\UserInfo;

include_once 'config.php';
$userInfo = new UserInfo(urldecode($_SERVER['QUERY_STRING']));
$presentsModel = new PresentsModel($userInfo->getId());
$presentsList = $presentsModel->getAllPresents();
Template::header('Информация о ' . $userInfo->getLogin());
if (!$userInfo->getId()) {
    echo sprintf('Ошибка: персонаж <em>%s</em> не найден...<p><a style="color: #99f;" href="javascript:window.history.go(-1);">←назад</a></p>', urldecode($_SERVER['QUERY_STRING']));
    exit;
}
$userInfo->showUserInfo();
include_once 'views/presents-list.php';